#ifndef NaturalLight_h
#define NaturalLight_h

#include <Arduino.h>
#include <WiFiClient.h>
#include "Config.h"

class NaturalLight {
	int _astronomicalTwilightBegin, _sunrise, _sunset, _astronomicalTwilightEnd, _timezoneOffset;
	char _url[80];
	WiFiClient _wifiClient;

	String getSolarEventJson();
	int getEpoch(const char *str);
	int adjustForTimezone(int epoch);

public:
	NaturalLight(WiFiClient wifiClient, const char* lat, const char* lon, int timezoneOffset);
	void update();
	int getAstronomicalTwilightBegin() { return _astronomicalTwilightBegin; }
	int getSunrise() { return _sunrise; }
	int getSunset() { return _sunset; }
	int getAstronomicalTwilightEnd() { return _astronomicalTwilightEnd; }
};
#endif