#ifndef Networking_h
#define Networking_h

#include <PubSubClient.h>
#include <ESP8266WiFi.h>

class Networking{
	const char* _hostname;
    const char* _ssid;
    const char* _password;

	WiFiClient _wifiClient;
	PubSubClient _mqttClient;

	void waitForWiFi();
	void waitForMQTT();
	void mqttCallback(char *topic, byte *payload, unsigned int length);
	
	public:
	Networking(const char* hostname, const char* ssid, const char* password, const char* mqttServer);
	void setup();
	void reconnect();
	void loop();
	void publish(const char* topic, const char* payload);
	void publish(const char* topic, const char* payload, bool retained);
};

#endif