#include "Sensors.h"

Sensors::Sensors(int temperaturePin, Networking* networking, DallasTemperature* ds18b20) {
	_networking = networking;
	_ds18b20 = ds18b20;
	_temperaturePin = temperaturePin;
}

void Sensors::setup() {
	pinMode(_temperaturePin, INPUT_PULLUP);
	_ds18b20->begin();
}

const String Sensors::getTemperature(){
	_ds18b20->requestTemperatures();
	float temperature = _ds18b20->getTempCByIndex(0);
	int attemptStart = millis();
	while ((temperature == 85 || temperature == -127))
	{
		if (attemptStart - millis() > 1000)
			return "Pending...";
		temperature = _ds18b20->getTempCByIndex(0);
	}

	return String(temperature, 2);
}