#include "Weather.h"
#include <Arduino.h>
#include <ESP8266HTTPClient.h>
#include <ArduinoJson.h>
#include "openWeatherMapApiKey.h"
#include <Arduino.h>

Weather::Weather(WiFiClient wifiClient, const char* lat, const char* lon){
	_wifiClient = wifiClient;
	sprintf(_url, WEATHER_URL, lat, lon, OPEN_WEATHER_MAP_API_KEY);
}

String Weather::getWeatherJson() {
	HTTPClient http;
	Serial.print("Making request: ");
	Serial.println(_url);
	http.begin(_wifiClient, _url);
	int httpCode = http.GET();
	String result = "";
	if (httpCode > 0)
		result = http.getString();
	http.end();

	Serial.print("Result: ");
	Serial.println(result);
	return result;
}

WeatherCondition Weather::parseCondition(int weatherId){
	if (weatherId > 200 && weatherId < 300)
		return WeatherCondition::Thunder;
	if (weatherId > 300 && weatherId < 700)
		return WeatherCondition::Rain;
	if (weatherId < 800)
		return WeatherCondition::Other;
	return WeatherCondition::Clear;
}

void Weather::update(){
	String json = getWeatherJson();
	StaticJsonDocument<1024> document;

	DeserializationError error = deserializeJson(document, json);
	if (error)
		return;

	_cloudCover = document["clouds"]["all"];
	_condition = parseCondition(document["weather"][0]["id"]);
}