#ifndef Weather_h
#define Weather_h
#include <Arduino.h>
#include <WiFiClient.h>
#include "Config.h"

enum WeatherCondition
{
	Clear,
	Rain,
	Thunder,
	Other
};

class Weather{
	char _url[120];
	int _cloudCover;
	WeatherCondition _condition;
	WiFiClient _wifiClient;

	String getWeatherJson();
	WeatherCondition parseCondition(int weatherId);

  public:
	Weather(WiFiClient wifiClient, const char* lat, const char* lon);
	void update();
	int getCloudCover() { return _cloudCover; }
	WeatherCondition getCondition() { return _condition; }
};
#endif